#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["Ozim.Kupka/Ozim.Kupka.csproj", "Ozim.Kupka/"]
RUN dotnet restore "Ozim.Kupka/Ozim.Kupka.csproj"
COPY . .
WORKDIR "/src/Ozim.Kupka"
RUN dotnet build "Ozim.Kupka.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "Ozim.Kupka.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "Ozim.Kupka.dll"]